org.apache.hadoop.yarn.api.protocolrecords

## Class GetContainerReportRequest

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetContainerReportRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class GetContainerReportRequest
      extends Object

  The request sent by a client to the `ResourceManager` to get an `ContainerReport` for a container.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetContainerReportRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ContainerId` | `getContainerId()` Get the `ContainerId` of the Container.
    `static GetContainerReportRequest` | `newInstance(ContainerId containerId)`
    `abstract void` | `setContainerId(ContainerId containerId)` Set the `ContainerId` of the container

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetContainerReportRequest

          public GetContainerReportRequest()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public static GetContainerReportRequest newInstance(ContainerId containerId)

    - #### getContainerId

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract ContainerId getContainerId()

      Get the `ContainerId` of the Container.
      Returns:
        `ContainerId` of the Container

    - #### setContainerId

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setContainerId(ContainerId containerId)

      Set the `ContainerId` of the container
      Parameters:
        `containerId` - `ContainerId` of the container

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.